package ru.rutoken.samples.pkcs11Wrapper;

import com.sun.jna.Native;
import ru.rutoken.Pkcs11.*;

class RtPkcs11Ex {
    private static RtPkcs11 INSTANCE = (RtPkcs11) Native.loadLibrary("rtpkcs11ecp", RtPkcs11.class);
    public static RtPkcs11 getInstance() {
        return INSTANCE;
    }
}

class RtPkcs11Library {
    private static Pkcs11 INSTANCE = (Pkcs11) Native.loadLibrary("rtpkcs11ecp", Pkcs11.class);
    public static Pkcs11 getInstance() {
        return INSTANCE;
    }
}
